Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&garage_240v_first_eq=true&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=5&select=address,garage_240v_first,garage_type_first,construction_year,estimate_list_price"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'calgary');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('garage_240v_first_eq', 'true');
url.searchParams.set('page', '1');
url.searchParams.set('property_type_eq', 'House');
url.searchParams.set('province_abbreviation', 'ab');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,garage_240v_first,garage_type_first,construction_year,estimate_list_price');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 2.1,
"data": [
{
"address": "74 Hallbrook Place SW",
"construction_year": 1958,
"estimate_list_price": 744330,
"garage_240v_first": true,
"garage_type_first": "Detached",
"property_id": "90dd339455fdb979"
},
{
"address": "12 Cranbrook Cape SE",
"construction_year": 2022,
"estimate_list_price": 1109703,
"garage_240v_first": true,
"garage_type_first": "Attached",
"property_id": "18bc25ce727a6641"
},
{
"address": "201 Cranberry Place SE",
"construction_year": 2007,
"estimate_list_price": 601507,
"garage_240v_first": true,
"garage_type_first": "Detached",
"property_id": "5c3c0c911a68ee13"
},
{
"address": "655 Cranston Avenue SE",
"construction_year": 2014,
"estimate_list_price": 1350575,
"garage_240v_first": true,
"garage_type_first": "Attached",
"property_id": "c29434eb405d45f2"
},
{
"address": "26 Cranbrook Cove SE",
"construction_year": 2018,
"estimate_list_price": 832762,
"garage_240v_first": true,
"garage_type_first": "Attached",
"property_id": "eff3fe62c6bec3bb"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 24
},
"price_quote": false,
"result_total": 118,
"time_ms": 3002,
"ui_info": {
"city": "Calgary",
"city_id": "6ec95b53075d062c",
"city_link": "ca/ab/calgary",
"city_slug": "calgary",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Alberta",
"province_abbreviation": "AB",
"province_abbreviation_id": "aae1f05a0f89d2c7",
"province_abbreviation_link": "ca/ab",
"province_slug": "alberta"
}
}